Skip to main content
GET
/
v1
/
integrations
/
{integrationId}
/
tools
List Tools
curl --request GET \
  --url https://api.sigmamind.ai/v1/integrations/{integrationId}/tools \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "toolId": "tool-X9pLm2Wq8Rt3",
      "integrationId": "intg-AuUKK371Spr5",
      "name": "Get Order Details",
      "description": "Fetches order details from Shopify by order ID",
      "method": "GET",
      "url": "/orders/{orderId}.json",
      "scope": "local",
      "headers": {
        "customer_name": "Michael"
      },
      "queryParams": {
        "customer_name": "Michael"
      },
      "bodyParams": {
        "customer_name": "Michael"
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "page": 123,
  "size": 123,
  "totalCounts": 123,
  "totalPages": 123,
  "hasNext": true,
  "hasPrevious": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.sigmamind.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

API Key is required in header. You can find it in the settings

Path Parameters

integrationId
string
required

Unique identifier for the integration

Query Parameters

status
string
page
integer<int32>
default:0
size
integer<int32>
default:10

Response

OK

data
object[]
page
integer<int32>
size
integer<int32>
totalCounts
integer<int64>
totalPages
integer<int32>
hasNext
boolean
hasPrevious
boolean